-- 计算规则
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_CALRULECFG')
CREATE TABLE T_INVP_CALRULECFG (
	FID BIGINT DEFAULT 0 NOT NULL,
    FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FENABLE CHAR(1) DEFAULT '1' NOT NULL,
    FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
    FCREATETIME TIMESTAMP,
    FMODIFYTIME TIMESTAMP,
    FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
	FBITINDEX BIGINT DEFAULT 0 NOT NULL,
	FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
	FPLANTYPE CHAR(1) DEFAULT 'A' NOT NULL,
	FISPRESET CHAR(1) DEFAULT '0' NOT NULL
);

-- 多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_CALRULECFG_L')
CREATE TABLE T_INVP_CALRULECFG_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);

-- 分录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_CALRULECFGENTRY')
CREATE TABLE T_INVP_CALRULECFGENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INT NOT NULL DEFAULT 0,
	FCALCDESC VARCHAR(512) DEFAULT ' ' NOT NULL,
	FCALCRULE VARCHAR(512) DEFAULT ' ' NOT NULL,
	FCALCRULEJSON VARCHAR(512) DEFAULT ' ' NOT NULL,
	FCALCRULEJSON_TAG NCLOB,
	FLEVELFACTOR BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_CALCRULE_FACTOR')
CREATE TABLE T_INVP_CALCRULE_FACTOR (
	FPKID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);
