-- 日均消耗量统计方案
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_DAILYCOMSUMPTION')
CREATE TABLE T_INVP_DAILYCOMSUMPTION (
    FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
	FENABLE CHAR(1) DEFAULT '1' NOT NULL,
    FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
	FCREATETIME TIMESTAMP,
	FMODIFYTIME TIMESTAMP,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
	FORGID BIGINT DEFAULT 0 NOT NULL,
	FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
	FBITINDEX BIGINT DEFAULT 0 NOT NULL,
	FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
	FCONSUMPTIONMODEL BIGINT DEFAULT 0 NOT NULL,
	FINVLEVEL BIGINT DEFAULT 0 NOT NULL,
	FMATCHDIMENSION BIGINT DEFAULT 0 NOT NULL,
	FADJUSTFACTOR DECIMAL(23,2)  DEFAULT 0 NOT NULL,
	FPLUGINCLASS NVARCHAR(200) DEFAULT ' ' NOT NULL,
	FUPDATETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FINVLEVELFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FINVLEVELFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSELECTRULEFORMULA NVARCHAR(512) DEFAULT ' ' NOT NULL,
	FSELECTRULEFORMULA_TAG NCLOB,
	FSELECTRULEJSON NVARCHAR(512) DEFAULT ' ' NOT NULL,
	FSELECTRULEJSON_TAG NCLOB
);


-- 多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_DAILYCOMSUMPTION_L')
CREATE TABLE T_INVP_DAILYCOMSUMPTION_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);

-- 分录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_DAILYCONSUMESTATS')
CREATE TABLE T_INVP_DAILYCONSUMESTATS (
	FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ INT NOT NULL DEFAULT 0,
	FBEGINDATE BIGINT DEFAULT 0 NOT NULL,
	FENDDATE BIGINT DEFAULT 0 NOT NULL,
	FFACTOR DECIMAL(23,2) DEFAULT 0 NOT NULL,
	FSELECTRULE NVARCHAR(200) DEFAULT ' ' NOT NULL,
	FSELECTRULEFORMULA NVARCHAR(512) DEFAULT ' ' NOT NULL,
	FSELECTRULEFORMULA_TAG NCLOB,
	FBASEDATETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FDATESELECTOR BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_DAILYCONSUMEFILTER')
CREATE TABLE T_INVP_DAILYCONSUMEFILTER (
	FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ INT NOT NULL DEFAULT 0,
	FSRCENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FPRERULE NVARCHAR(512) DEFAULT ' ' NOT NULL,
	FPRERULEJSON NVARCHAR(512) DEFAULT ' ' NOT NULL,
	FPRERULEJSON_TAG NCLOB,
	FPRERULEFORMULA NVARCHAR(512) DEFAULT ' ' NOT NULL,
	FPRERULEFORMULA_TAG NCLOB,
	FUNDERPERCENT DECIMAL(23,4) DEFAULT 0 NOT NULL,
	FOVERPERCENT DECIMAL(23,4) DEFAULT 0 NOT NULL
);



