-- 取数规则
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_QUERYRULE')
CREATE TABLE T_INVP_QUERYRULE (
	FID BIGINT DEFAULT 0 NOT NULL,
	FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
	FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FENABLE CHAR(1) DEFAULT '1' NOT NULL,
    FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
	FCREATETIME TIMESTAMP,
	FMODIFYTIME TIMESTAMP,
	FMASTERID BIGINT DEFAULT 0 NOT NULL,
	FSRCENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
	FSRCFILTERCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FSRCFILTERJSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FSRCFILTERJSON_TAG NCLOB,
	FSRCFILTERFORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FSRCFILTERFORMULA_TAG NCLOB,
	FSRCFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FSRCFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FLEVELDIMENSION BIGINT DEFAULT 0 NOT NULL,
	CONSTRAINT PK_INVP_QUERYRULE PRIMARY KEY (FID)
);



-- 多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_QUERYRULE_L')
CREATE TABLE T_INVP_QUERYRULE_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);

-- 分录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_QUERYRULE_MATCH')
CREATE TABLE T_INVP_QUERYRULE_MATCH (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INT NOT NULL DEFAULT 0,
	FLEFTBRACKET NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FMATCHTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FMATCHGROUP BIGINT DEFAULT 0 NOT NULL,
	FSRCMATCHFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
	FRIGHTBRACKET NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FLOGIC NVARCHAR(50) DEFAULT ' ' NOT NULL,
	FLDMATCHFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
	FLDMATCHFIELDKEY NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FSRCMATCHFIELDKEY NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_INVP_QUERYRULE_ORDER')
CREATE TABLE T_INVP_QUERYRULE_ORDER (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ INT NOT NULL DEFAULT 0,
	FORDERFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
	FORDERFIELDKEY NVARCHAR(255) DEFAULT ' ' NOT NULL,
	FORDER NVARCHAR(50) DEFAULT ' ' NOT NULL
);



